<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Notification extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'user_id',
        'customer_id',
        'notification_type',
        'title',
        'message',
        'is_read',
        'columns',
    ];

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }


    public function customer()
    {
        return $this->belongsTo(User::class, 'customer_id');
    }
}
