<?php $__env->startSection('title'); ?>
    orders
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('content'); ?>

    <div class="card basic-data-table">
        <div class="card-header d-flex align-items-center justify-content-between flex-wrap">
            <form action="<?php echo e(route('admin_orders.index')); ?>" method="get">
                <?php echo csrf_field(); ?>
                <div class="row">
                    <div class="col">
                        <label>Order Numbers</label>
                        <input type="text" class="form-control" name="order_numbers" value="<?php echo e(request('order_numbers')); ?>">
                    </div>

                    <div class="col">
                        <label>Status Order</label>
                        <select class="form-control" name="status_orders">
                            <option value="">-- Choose Status Orders --</option>
                            <option value="pending" <?php echo e(request('status_orders') == 'pending' ? 'selected' : ''); ?>>Pending</option>
                            <option value="processing" <?php echo e(request('status_orders') == 'processing' ? 'selected' : ''); ?>>Processing</option>
                            <option value="completed" <?php echo e(request('status_orders') == 'completed' ? 'selected' : ''); ?>>Completed</option>
                            <option value="cancelled" <?php echo e(request('status_orders') == 'cancelled' ? 'selected' : ''); ?>>Cancelled</option>
                            <option value="refunded" <?php echo e(request('status_orders') == 'refunded' ? 'selected' : ''); ?>>Refunded</option>
                        </select>
                    </div>

                    <div class="col">
                        <label>Type Order</label>
                        <select class="form-control" name="type_orders">
                            <option value="">-- Choose Type Orders --</option>
                            <option value="orders" <?php echo e(request('type_orders') == 'orders' ? 'selected' : ''); ?>>Orders</option>
                            <option value="gift" <?php echo e(request('type_orders') == 'gift' ? 'selected' : ''); ?>>Gift</option>
                        </select>
                    </div>

                    <div class="col">
                        <label>Phone Number</label>
                        <input type="text" class="form-control" name="phone_number" value="<?php echo e(request('phone_number')); ?>">
                    </div>

                    <div class="col">
                        <button class="btn btn-success">Search</button>
                    </div>
                </div>
            </form>
        </div>
        <div class="card-body">
            <?php if($errors->any()): ?>
                <div class="alert alert-danger" id="error-alert">
                    <ul>
                        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li><?php echo e($error); ?></li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>

                <script>
                    setTimeout(function () {
                        document.getElementById('error-alert').style.display = 'none';
                    }, 20000);

                </script>
            <?php endif; ?>

            <div class="table-responsive">
                <table class="table bordered-table mb-0" id="dataTable" data-page-length="10">
                    <thead>
                    <tr>
                        <th scope="col">order number</th>
                        <th scope="col">order type</th>
                        <th scope="col">customer</th>
                        <th scope="col">Status</th>
                        <th scope="col">Create Order</th>
                        <th scope="col">total</th>
                        <th scope="col">Action</th>

                    </tr>
                    </thead>
                    <tbody>
                    <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td>
                                <a style="color: #0A51CE" href="<?php echo e(route('admin_orders/details',$row->order_number)); ?>" target="_blank"><?php echo e($row->order_number); ?></a>
                            </td>

                            <td>
                                <?php echo $row->getOrderTypeColor(); ?>

                            </td>


                            <td>
                                <?php echo e($row->customer_id ? $row->customer->name() : 'no customer'); ?>

                            </td>



                            <td>
                                <?php echo $row->getStatusColor(); ?>

                            </td>

                            <td>
                                <?php echo e($row->created_at->format('Y-m-d')); ?>

                            </td>
                            <td>
                                <?php echo e($row->total); ?>

                            </td>

                            <td>
                                <div class="dropdown">
                                    <button class="btn btn-success btn-sm dropdown-toggle" type="button" id="dropdownMenuButton1" data-bs-toggle="dropdown" aria-expanded="false">
                                        Action
                                    </button>
                                    <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                                        <li><a class="dropdown-item" href="<?php echo e(route('admin_orders/details',$row->order_number)); ?>">Orders Details</a></li>
                                        <li><a class="dropdown-item" href="#" data-bs-toggle="modal" data-bs-target="#exampleModal<?php echo e($row->id); ?>">Orders Status</a></li>
                                    </ul>
                                </div>
                            </td>
                        </tr>

<?php echo $__env->make('admin.orders.changeStatus', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
                <?php echo e($data->links()); ?>

            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('js'); ?>
    <script>
        function toggleStatus(id, currentStatus) {
            var newStatus = currentStatus === '1' ? '1' : '0';
            $.ajax({
                url: "<?php echo e(route('admin_updateCouponStatus')); ?>",
                method: "POST",
                headers: {
                    "X-CSRF-TOKEN": "<?php echo e(csrf_token()); ?>"
                },
                data: {
                    active: newStatus,
                    id: id
                },
                success: function (response) {
                    var statusText = document.getElementById('statusText' + id);
                    var checkbox = document.getElementById('flexSwitchCheckDefault' + id);

                    if (newStatus === '1') {
                        statusText.textContent = 'active';
                        checkbox.checked = true;
                    } else {
                        statusText.textContent = 'inActive';
                        checkbox.checked = false;
                    }
                    alert('The status has been changed successfully');
                },
                error: function () {
                    alert('Something went wrong, please try again.');
                }
            });
        }


    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Ecommerce\resources\views/admin/orders/index.blade.php ENDPATH**/ ?>